All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.net.rmi
Interface RemoteObjectExporterInterface

All Known Implementing Classes:
  AbstractRemoteObjectExporter, ActivatableExporter, UnicastRemoteObjectExporter

    public interface RemoteObjectExporterInterface

Interface designating methods associated with exporting/unexporting a remote object to the RMI system. Exporting a remote object to the RMI system makes it available to service incoming calls.

- `export` a remote object
- `unexport` an exported remote object
- determine whether or not a remote object is currently `exported`
- `get the exported remote object's stub`

Since:
  9.1.3

Method Summary
`java.rmi.Remote` | `exportObject()` Exports the remotable object to the RMI system.
`java.rmi.Remote` | `getExportedRemoteObjectStub()` Gets the remote object's stub that has been exported to the RMI system.
`boolean` | `isExported()` Determines whether or not a remote object is currently exported to the RMI system.
`boolean` | `unexportObject()` Removes the remote object from the RMI runtime.

Method Detail

### exportObject

    java.rmi.Remote exportObject()
                                 throws java.rmi.RemoteException

  Exports the remotable object to the RMI system.

  Use `unexportObject()` to remove a remote object from the RMI system when it is no longer needed.

  Returns:
    Remote object stub created by the export process. The stub will always be non- `null`.
  Throws:
    `java.rmi.RemoteException` - if unable to export a remote object to the RMI system.
  See Also:
    `unexportObject()`, `isExported()`, `getExportedRemoteObjectStub()`

### unexportObject

    boolean unexportObject()
                           throws java.rmi.NoSuchObjectException

  Removes the remote object from the RMI runtime. If successful, the object can no longer accept incoming RMI calls.

  This method may be called to unexport a remote object which has been previously exported to the RMI system using `exportObject()`.

  Returns:
    `true` if the remote object was successfully removed from the RMI system.
  Throws:
    `java.rmi.NoSuchObjectException` - if unable to unexport the remotable object because the remote object is not currently exported to the RMI system.
  See Also:
    `exportObject()`, `isExported()`

### isExported

    boolean isExported()

  Determines whether or not a remote object is currently exported to the RMI system.

  Use `getExportedRemoteObjectStub()` to obtain the remote object which has been exported to the RMI system if this method returns `true`.

  This method may also be used by resource cleanup logic to determine whether or not a remote object has been exported and needs to be unexported from the RMI system.

  Returns:
    `true` if the remotable object is currently exported.
  See Also:
    `exportObject()`, `unexportObject()`, `getExportedRemoteObjectStub()`

### getExportedRemoteObjectStub

    java.rmi.Remote getExportedRemoteObjectStub()

  Gets the remote object's stub that has been exported to the RMI system.

  Use `isExported()` to determine whether or not a remote object is currently exported to the RMI system.

  Returns:
    Exported remote object or `null` if a remote object is not currently exported.
  See Also:
    `exportObject()`, `isExported()`

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.